#!/usr/bin/perl

## POWERSEEK PLUGIN ########################
#
# TITLE: Form Mailer Plugin
# DIZ: Enables your visitors to send email to link owners from 'More Info' pages.
# GRAPHIC: ic_email2.gif
# VERSION: 1.0
# 
###########################################

########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

## REQUIRES MySQL Version 3.23.23+  

#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

$default_permissions = 0777; ### PERMISSIONS THAT IS USED FOR TEMPORARY DATA FILES 

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

$imports_per_screen = 10;
$web_wait = 0;


##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "headfoot") {&headfoot;}
if ($q->param('fct') eq "save_hf") {&save_hf;}
if ($q->param('fct') eq "settings") {&settings;}
if ($q->param('fct') eq "save_templates") {&save_templates;}
if ($q->param('fct') eq "setup") {&setup;}



sub setup
{


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "Form Mailer Setup Instructions", qq[
Please follow the instructions below to let visitors to your Search Engine & Directory send email to link owners.<BR>
<strong><a href="$admin_url/p_mailer.cgi">Form Mailer Plugin</a>
&gt;&gt; Custom Header &amp; Footer Options</strong>
]);



print qq[

<html>
<head>
<title>Comment/Review Editor</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>

$hbox



<p class="normaltext"><strong>Configure More Link Info Templates </strong></p>

<blockquote>
  <p class="normaltext"><a href="http://www.focalmedia.net/tutorials/ftp_tut.html#2.1" target="_blank">FTP
  </a>into your hosting account where PowerSeek is installed. Go to the PowerSeek 'data'
  directory that holds the PowerSeek 'data' files. Your PowerSeek 'data' directory is
  located here: <br>
  <strong>$data_dir&nbsp; </strong></p>
  <p class="normaltext">Open a file called <strong>linkinfo.html </strong>with your web editor. Now add
  the following HTML code in the box below to the file. You may also customize the look and
  feel of the following HTML code to suite your own needs. </p>
  <table border="0" cellpadding="8" cellspacing="0" width="100%"
  style="border: 1px solid rgb(192,192,192)">
    <tr>
      <td width="100%" class="normaltext">&lt;form method=&quot;POST&quot;
      action=&quot;!!script_url!!/p_ml.cgi&quot;&gt;<br>
&lt;input type=&quot;hidden&quot; name=&quot;ia&quot; value=&quot;!!ia!!&quot;&gt;<br>
&lt;input type=&quot;hidden&quot; name=&quot;id&quot; value=&quot;!!id!!&quot;&gt;<br>
&lt;b&gt;Send Email to Link Owner&lt;/b&gt;&lt;br&gt;<br>
Name: &lt;input type=&quot;text&quot; name=&quot;from_name&quot;
      size=&quot;29&quot;&gt;&lt;br&gt;<br>
      Your Email: &lt;input type=&quot;text&quot; name=&quot;from_email&quot;
      size=&quot;29&quot;&gt;&lt;br&gt;<br>
      Subject: &lt;input type=&quot;text&quot; name=&quot;subject&quot;
      size=&quot;29&quot;&gt;&lt;br&gt;<br>
      Message:&lt;br&gt;<br>
&lt;textarea rows=&quot;9&quot; name=&quot;message&quot; cols=&quot;46&quot;&gt;<br>
&lt;/textarea&gt;&lt;br&gt;&lt;br&gt;<br>
%%imgbox%%&lt;br&gt;<br>
&lt;input type=&quot;text&quot; name=&quot;letters&quot; size=&quot;20&quot;&gt;&lt;br&gt;<br>
Type in the letters that apear in the image box&lt;br&gt;&lt;br&gt;<br>
&lt;input type=&quot;submit&quot; value=&quot;Send Email&quot; name=&quot;button&quot;&gt;<br>
&lt;/form&gt;</td>
    </tr>
  </table>
  <ul>
    <li class="normaltext">Note that when the above HTML code is added to the <strong>linkinfo.html </strong>template
      that you won't be able to edit <strong>linkinfo.html </strong>from the Template Manager
      inside the PowerSeek control panel. The reason for this is that the TextArea box
      interferes with the display of HTML code inside the template manager. You will need to
      keep on downloading the file and editing it. </li>
    <li class="normaltext">If you want premium link owners to also be able to receive email from visitors
      then you will also need to add the HTML code as indicated above to linkinfop.html </li>
    <li class="normaltext">Also note that if some categories are using <a
      href="http://www.focalmedia.net/pseekmanual/pseek5.html#5_10" target="_blank">custom
      templates </a>that you will need the customize the link info templates of these custom
      template sets to include the email form if required. </li>
    <li class="normaltext">Note that you cannot place this HTML code within the <a
      href="http://www.focalmedia.net/tutorials/chapter13.html" target="_blank">scope of a form </a>.
      (like the comments form that enables visitors to post comments for listings) </li>
  </ul>
</blockquote>

<p class="normaltext"><strong>Customize Templates &amp; Settings </strong></p>

<blockquote>
  <p class="normaltext">Now go to the Control Panel &gt;&gt; Plug-in's &gt;&gt; Form Mailer Plugin </p>
  <p class="normaltext">Then click 'Custom Header &amp; Footer Options' if you would like to include a
  custom message on top or below a message that is sent from a visitor to a link owner. </p>
  <p class="normaltext">Again, go to the Control Panel &gt;&gt; Plug-in's &gt;&gt; Form Mailer Plugin </p>
  <p class="normaltext">Now click 'Template Responses &amp; Settings' and customize the templates and
  set the options to your needs. </p>
</blockquote>

<p class="normaltext"><strong>You will now be able to let visitors send email to link owners. </strong></p>

<p class="normaltext"><a href="$admin_url/p_mailer.cgi"><strong>Go back </strong></a></p>

</body>
</html>

];


}





sub save_templates
{

$def_email = $q->param('def_email');

$problem_template = $q->param('problem_template');
$presponse0 = $q->param('presponse0');
$presponse1 = $q->param('presponse1');
$presponse2 = $q->param('presponse2');
$presponse3 = $q->param('presponse3');
$presponse4 = $q->param('presponse4');
$success_template = $q->param('success_template');


if ($problem_template eq "") {acs::problem_popup("The 'problem template' cannot be blank.");}
if ($success_template eq "") {acs::problem_popup("The 'success template' cannot be blank.");}

if ($presponse0 eq "") {acs::problem_popup("The problem response for a return email address cannot be left blank.");}
if ($presponse1 eq "") {acs::problem_popup("The problem response for providing a name cannot be left blank.");}
if ($presponse2 eq "") {acs::problem_popup("The problem response for providing a subject cannot be left blank.");}
if ($presponse3 eq "") {acs::problem_popup("The problem response for providing a message cannot be left blank.");}


open (PRB, "> $data_dir/formmail_prb.html");
	print PRB $problem_template;
close (PRB);
$stat = chmod($default_permissions,"$data_dir/formmail_prb.html","$data_dir/formmail_prb.html");

open (SCC, "> $data_dir/formmail_succ.html");
	print SCC $success_template;
close (SCC);
$stat = chmod($default_permissions,"$data_dir/formmail_succ.html","$data_dir/formmail_succ.html");


open (CONF, "> $data_dir/formmailresp.dat");
	print CONF $presponse0 . "\n";
	print CONF $presponse1 . "\n";
	print CONF $presponse2 . "\n";
	print CONF $presponse3 . "\n";
	print CONF $presponse4 . "\n";
	print CONF $def_email . "\n";
close (CONF);
$stat = chmod($default_permissions,"$data_dir/formmailresp.dat","$data_dir/formmailresp.dat");


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "Templates & Settings Saved", qq[
<a href="$admin_url/p_mailer.cgi">Click here to Continue</a>
]);

print qq[

<html>
<head>
<title>Powerseek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>


];



}






sub settings
{


$problem_template = acs::get_file_contents("$data_dir/formmail_prb.html");
$success_template = acs::get_file_contents("$data_dir/formmail_succ.html");

if ($problem_template eq "") 
		{ 
		
		$problem_template = qq[<html>
<head>
<title>Problem</title>
</head>
<body>
<p align="center">%%incl_head%%</p>
<div align="center"><center>
<table border="0" cellpadding="0" cellspacing="0" width="750" style="border-left: 1px solid rgb(192,192,192); border-right: 1px solid rgb(192,192,192); border-top: 1px solid rgb(192,192,192)">
  <tr>
    <td background="!build_url!/bar.gif" width="679"><strong><font face="Arial" size="2"
    color="#FEE86B">--</font><font face="Arial" size="2">Problem</font></strong></td>
    <td valign="top" align="center" width="43" style="border-left: 1px solid rgb(192,192,192)"><font
    face="Arial" size="2"><strong><img src="!build_url!/t_user.gif"></strong></font></td>
  </tr>
</table>
</center></div><div align="center"><center>
<table border="0" cellpadding="7" cellspacing="0" width="750" style="border: 1px solid rgb(192,192,192)">
  <tr>
    <td valign="top"><blockquote>
      <p><font face="Arial" size="2">%%problem%%</font></p>
      <p><font face="Arial" size="2"><a HREF="javascript:history.go(-1)">Go Back</a> </font></p>
    </blockquote>
    </td>
  </tr>
</table>
</center></div><div align="center"><center>
<table border="0" cellpadding="0" cellspacing="0" width="750" background="!build_url!/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>
</center></div>
</body>
</html>
		
		];

	open (PRB, "> $data_dir/formmail_prb.html");
		print PRB $problem_template;
	close (PRB);
	$stat = chmod($default_permissions,"$data_dir/formmail_prb.html","$data_dir/formmail_prb.html");
		
		}






if ($success_template eq "") 
		{ 

$success_template = qq[<html>

<head>
<title>Success</title>
</head>
<body>
<p align="center">%%incl_head%%</p>
<div align="center"><center>
<table border="0" cellpadding="0" cellspacing="0" width="750" style="border-left: 1px solid rgb(192,192,192); border-right: 1px solid rgb(192,192,192); border-top: 1px solid rgb(192,192,192)">
  <tr>
    <td background="!build_url!/bar.gif" width="679"><strong><font face="Arial" size="2"
    color="#FEE86B">--</font><font face="Arial" size="2">Thanks!</font></strong></td>
    <td valign="top" align="center" width="43" style="border-left: 1px solid rgb(192,192,192)"><font
    face="Arial" size="2"><strong><img src="!build_url!/t_user.gif"></strong></font></td>
  </tr>
</table>
</center></div><div align="center"><center>
<table border="0" cellpadding="7" cellspacing="0" width="750"
style="border: 1px solid rgb(192,192,192)">
  <tr>
    <td valign="top"><blockquote>
      <p><font face="Arial" size="2"><br>
      Your email has been sent!</font></p>
      <p><font face="Arial" size="2"><a HREF="javascript:history.go(-1)">Go Back</a> </font></p>
    </blockquote>
    </td>
  </tr>
</table>
</center></div><div align="center"><center>
<table border="0" cellpadding="0" cellspacing="0" width="750" background="!build_url!/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>
</center></div>
</body>
</html>
];

		open (SCC, "> $data_dir/formmail_succ.html");
			print SCC $success_template;
		close (SCC);
		$stat = chmod($default_permissions,"$data_dir/formmail_succ.html","$data_dir/formmail_succ.html");

		}


open (FORMMA, "$data_dir/formmailresp.dat");
	@presponse = <FORMMA>;
close (FORMMA);

if ($presponse[0] eq ""){$presponse[0] = "Please provide your email address."; $exist = "false";}
if ($presponse[1] eq ""){$presponse[1] = "Please provide your name.";  $exist = "false";}
if ($presponse[2] eq ""){$presponse[2] = "Please provide a subject for your email.";  $exist = "false";}
if ($presponse[3] eq ""){$presponse[3] = "Please provide a message for your email";  $exist = "false";}
if ($presponse[4] eq ""){$presponse[4] = "We do not have an email address associated with this listing. Unable to send email to the link owner.";  $exist = "false";}


if ($exist eq "false")
{
open (CONF, "> $data_dir/formmailresp.dat");
	print CONF $presponse[0] . "\n";
	print CONF $presponse[1] . "\n";
	print CONF $presponse[2] . "\n";
	print CONF $presponse[3] . "\n";
	print CONF $presponse[4] . "\n";
close (CONF);
$stat = chmod($default_permissions,"$data_dir/formmailresp.dat","$data_dir/formmailresp.dat");
}


$def_email= $presponse[5];



$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "Template Responses and Settings", qq[
These templates & settings will be used when a visitor completes the email form to send email to the link owner. Note that PowerSeek Template Includes and variables are supported inside the templates used.
<BR>
<strong><a href="$admin_url/p_mailer.cgi">Form Mailer Plugin</a> &gt;&gt; Custom Header &amp; Footer Options</strong>
]);



print qq[
<html>
<head>
<title>Comment/Review Editor</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>

$hbox



<form method="POST" action="$admin_url/p_mailer.cgi">
  <input type="hidden" name="fct" value="save_templates"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" bgcolor="#DDDDDD" height="46">
    <tr>
      <td width="30%" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Default Email
      Address: </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="def_email"
      size="49" value="$def_email"> <br>
      When a link has no email address then the email will be sent to the email address above.
      If you don't want to receive email of visitors trying to send email to a link owners who's
      links does not have an email address then leave the above box blank. </td>
    </tr>
    <tr>
      <td width="30%" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Problem
      Template: </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><textarea rows="14"
      name="problem_template" cols="64">
$problem_template
</textarea> <br>
      This template will be displayed when a problem occurred when a visitor tries to send email
      to a link owner. Note that this template uses a variable called %%problem%% which is
      replaced by <strong>problem responses </strong>as indicated below. <br>
      </td>
    </tr>
    <tr>
      <td width="30%" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Problem
      Responses: </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext">The visitor trying to send email to a
      link owner will get the following responses if there is a problem sending email to the
      link owner: <br>
      <font color="#FFFFFF">_ </font><br>
      <strong>Displayed when a visitor did not provide a return email address: <br>
      </strong><input type="text" name="presponse0" size="65" value="$presponse[0]"> <br>
      <font color="#FFFFFF">_ </font><br>
      <strong>Displayed when a visitor did not provide his/her name: <br>
      </strong><input type="text" name="presponse1" size="65" value="$presponse[1]"> <br>
      <font color="#FFFFFF">_ </font><br>
      <strong>Displayed when a visitor did not provide a subject: <br>
      </strong><input type="text" name="presponse2" size="65" value="$presponse[2]"> <br>
      <font color="#FFFFFF">_</font> <br>
      <strong>Displayed when a visitor did not provide a message: <br>
      </strong><input type="text" name="presponse3" size="65" value="$presponse[3]"> <br>
      <font color="#FFFFFF">_ </font><br>
      <strong>Displayed to a visitor when the link has no email address and the default email
      address to send mail to when a link has no email address has been left blank: <br>
      </strong><input type="text" name="presponse4" size="65" value="$presponse[4]"> <br>
      <font color="#FFFFFF">_ </font></td>
    </tr>
    <tr>
      <td width="30%" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Success
      Template: </strong></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><textarea rows="14"
      name="success_template" cols="64">
$success_template
</textarea> <br>
      This template will be displayed when email has been successfully sent to a link owner. </td>
    </tr>
    <tr>
      <td width="30%" align="center" valign="top" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="70%" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="    Save    " name="B1"> </td>
    </tr>
  </table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>
  
</form>

</body>
</html>

];









}








sub save_hf
{

$header = $q->param('header');
$footer = $q->param('footer');

open (HF, "> $data_dir/formailcust.dat");
	print HF $header . "::::o::::-::::" . $footer;
close (HF);


$hbox = acs::get_heading_box("$web_url/ic_email2_long.gif", "Custom Header & Footer Options", qq[
<a href="$admin_url/p_mailer.cgi">Click here to Continue</a>
]);


print qq[
<html>
<head>
<title>Powerseek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];



}






sub headfoot
{


$hf_data = acs::get_file_contents("$data_dir/formailcust.dat");
($header, $footer) = split (/::::o::::-::::/, $hf_data);


$hbox = acs::get_heading_box("$web_url/ic_email2_long.gif", "Custom Header & Footer Options", qq[
Let's you include text inside the header and/or footer of the email message that is sent from visitors to link owners.
<br><strong><a href="$admin_url/p_mailer.cgi">Form Mailer Plugin</a> &gt;&gt; Custom Header &amp; Footer Options</strong>
]);
 


print qq[
<html>
<head>
<title>Comment/Review Editor</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox
<form method="POST" action="$admin_url/p_mailer.cgi">
  <input type="hidden" name="fct" value="save_hf"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" bgcolor="#DDDDDD" height="46">
    <tr>
      <td width="1%" bgcolor="#FFFFFF" height="30" valign="top"><img
      src="$web_url/ic_email4.gif"> </td>
      <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong>Header: <br>
      </strong>This text will be included above the message that is provided by a visitor
      sending email to a link owner. Leave blank if you don't want to include any custom text. <p><textarea
      rows="11" name="header" cols="57" style="width:100%">$header</textarea> </td>
    </tr>
    <tr>
      <td width="1%" bgcolor="#FFFFFF" height="30" valign="top"><img
      src="$web_url/ic_email4.gif"> </td>
      <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong>Footer: </strong><br>
      This text will be included below the message that is provided by a visitor sending email
      to a link owner. Leave blank if you don't want to include any custom text. <p><textarea
      rows="11" name="footer" cols="57" style="width:100%">$footer</textarea> </td>
    </tr>
    <tr>
      <td width="1%" bgcolor="#FFFFFF" valign="top"></td>
      <td width="99%" bgcolor="#FFFFFF"><input type="submit" value="    Save    " name="B1"> </td>
    </tr>
  </table>
</form>

</body>
</html>

];



}






sub start
{


$hbox = acs::get_heading_box("$web_url/ic_email2_long.gif", "Form Mailer Plugin", qq[
Enables your visitors to send email to link owners from 'More Info' pages. 
]);


print qq[

<html>

<head>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 

</head>

<body>

$hbox

<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD"
height="46">
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_help.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/p_mailer.cgi?fct=setup">Setup Instructions </a></strong><br>
    Explains how to add a form to your more link information pages so that link owners can
    receive email from visitors. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><p align="center"><img
    src="$web_url/ic_email4.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/p_mailer.cgi?fct=headfoot">Custom Header &amp; Footer Options </a><br>
    </strong>Let's you include text inside the header and/or footer of the email message that
    is sent from visitors to link owners. </td>
  </tr>
  <tr>
    <td width="1%" bgcolor="#FFFFFF" height="30" align="center"><img
    src="$web_url/ic_template.gif"> </td>
    <td width="99%" height="80" bgcolor="#FFFFFF" class="normaltext"><strong><a
    href="$admin_url/p_mailer.cgi?fct=settings">Template Responses &amp; Settings </a><br>
    </strong>The templates &amp; settings will be used when a visitor completes the email form
    to send email to the link owner. Note that PowerSeek Template Includes and variables are
    supported inside these templates. </td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>


</body>
</html>

];



}


####################################################################################

sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}

			}
	close (STP);
	
	}
	
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################


